Package fr.gouv.vitam.common.model

# Class IngestWorkflowConstants

java.lang.Object
fr.gouv.vitam.common.model.IngestWorkflowConstants

public class IngestWorkflowConstants extends Object
Constants for the Ingest Workflow.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVE_ID_TO_GUID_MAP_FILE_NAME_PREFIX`
  Prefix of file containing mapping between archive unit's seda ID and archive unit's vitam guid.
  `static final String`
  `ARCHIVE_TREE_TMP_FILE_NAME_PREFIX`
  Prefix of file the ingest units tree.
  `static final String`
  `ARCHIVE_UNIT_FOLDER`
  Sub folder for archive units metadata in Worskpace folder of container : containerId/Units
  `static final String`
  `ATR_FOLDER`
  Sub folder for work file in Worskpace folder of container : containerId/ATR
  `static final String`
  `CONTENT_FOLDER`
  Sub folder for binary data objects in Worskpace folder of SIP: containerId/SIP/Content
  `static final String`
  `DATA_OBJECT_ID_TO_DATA_OBJECT_DETAIL_MAP_FILE_NAME_PREFIX`
  Prefix of file containing mapping between BinaryDataObjects' seda ID and data object version and type.
  `static final String`
  `DATA_OBJECT_ID_TO_GUID_MAP_FILE_NAME_PREFIX`
  Prefix of file containing mapping between all BinaryDataObjects' seda ID and BinaryDataObjects vitam guid of an object group.
  `static final String`
  `DATA_OBJECT_TO_OBJECT_GROUP_ID_MAP_FILE_NAME_PREFIX`
  Prefix of file containing mapping between BinaryDataObjects' seda ID and object group's seda ID.
  `static final String`
  `DIFF_SIZE_JSON`
  `static final String`
  `EXEC_FOLDER`
  Sub folder for archive units tree in Worskpace folder of container : containerId/Exec
  `static final String`
  `EXISTING_TAG`
  In work tag : If data (unit or og) already exists, set to true, else false
  `static final String`
  `IS_SIZE_INCORRECT`
  In work tag : If size of binary is different of the one setted in manifest, set the difference and update boolean field
  `static final String`
  `LOGBOOK_OG_FILE_SUFFIX`
  `static final String`
  `OBJECT_GROUP_FOLDER`
  Sub folder for object groups metadata in Worskpace folder of container : containerId/ObjectGroup
  `static final String`
  `OBJECT_GROUP_ID_TO_ARCHIVE_UNIT_ID_MAP_FILE_NAME_PREFIX`
  Prefix of file containing mapping between object group's seda ID and archive units' seda ID.
  `static final String`
  `OBJECT_GROUP_ID_TO_GUID_MAP_FILE_NAME_PREFIX`
  Prefix of file containing mapping between object group's seda ID and object group's vitam guid.
  `static final String`
  `OBJECT_GUID_TO_URI_MAP_FILE_NAME_PREFIX`
  Prefix of file containing mapping between all object GUID and its URI
  `static final String`
  `RULES`
  the name of RulesToApply tag
  `static final String`
  `RULES_TAG`
  the name of rule tag
  `static final String`
  `SANITY_CHECK_RESULT_FILE`
  Contains the results of checking ingest external operations (antivirus, format and manifest )
  `static final String`
  `SEDA_FILE`
  Name of the seda manifest file in Worskpace folder of SIP : containerId/SIP/manifest.xml
  `static final String`
  `SEDA_FOLDER`
  Sub folder unzipped SIP in Worskpace folder of container : containerId/SIP
  `static final String`
  `STP_UPLOAD_RESULT_JSON`
  Contains the result of uncompressing SIP in workspace
  `static final String`
  `UP_FIELD`
  the name of field up that indicate the parent
  `static final String`
  `UPDATE_OBJECT_GROUP_FOLDER`
  Sub folder for existing object groups metadata in Worskpace folder of container : containerId/UpdateObjectGroup
  `static final String`
  `UPS_SEPARATOR`
  the seperator in parent list
  `static final String`
  `WORKFLOW_IDENTIFIER`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WORKFLOW_IDENTIFIER

    public static final String WORKFLOW_IDENTIFIER
    See Also:
      - Constant Field Values

  - ### OBJECT_GROUP_ID_TO_GUID_MAP_FILE_NAME_PREFIX

    public static final String OBJECT_GROUP_ID_TO_GUID_MAP_FILE_NAME_PREFIX
    Prefix of file containing mapping between object group's seda ID and object group's vitam guid.
    See Also:
      - Constant Field Values

  - ### ARCHIVE_ID_TO_GUID_MAP_FILE_NAME_PREFIX

    public static final String ARCHIVE_ID_TO_GUID_MAP_FILE_NAME_PREFIX
    Prefix of file containing mapping between archive unit's seda ID and archive unit's vitam guid.
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_ID_TO_GUID_MAP_FILE_NAME_PREFIX

    public static final String DATA_OBJECT_ID_TO_GUID_MAP_FILE_NAME_PREFIX
    Prefix of file containing mapping between all BinaryDataObjects' seda ID and BinaryDataObjects vitam guid of an object group.
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_TO_OBJECT_GROUP_ID_MAP_FILE_NAME_PREFIX

    public static final String DATA_OBJECT_TO_OBJECT_GROUP_ID_MAP_FILE_NAME_PREFIX
    Prefix of file containing mapping between BinaryDataObjects' seda ID and object group's seda ID.
    See Also:
      - Constant Field Values

  - ### OBJECT_GUID_TO_URI_MAP_FILE_NAME_PREFIX

    public static final String OBJECT_GUID_TO_URI_MAP_FILE_NAME_PREFIX
    Prefix of file containing mapping between all object GUID and its URI
    See Also:
      - Constant Field Values

  - ### OBJECT_GROUP_ID_TO_ARCHIVE_UNIT_ID_MAP_FILE_NAME_PREFIX

    public static final String OBJECT_GROUP_ID_TO_ARCHIVE_UNIT_ID_MAP_FILE_NAME_PREFIX
    Prefix of file containing mapping between object group's seda ID and archive units' seda ID.
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_ID_TO_DATA_OBJECT_DETAIL_MAP_FILE_NAME_PREFIX

    public static final String DATA_OBJECT_ID_TO_DATA_OBJECT_DETAIL_MAP_FILE_NAME_PREFIX
    Prefix of file containing mapping between BinaryDataObjects' seda ID and data object version and type.
    See Also:
      - Constant Field Values

  - ### ARCHIVE_TREE_TMP_FILE_NAME_PREFIX

    public static final String ARCHIVE_TREE_TMP_FILE_NAME_PREFIX
    Prefix of file the ingest units tree.
    See Also:
      - Constant Field Values

  - ### SEDA_FOLDER

    public static final String SEDA_FOLDER
    Sub folder unzipped SIP in Worskpace folder of container : containerId/SIP
    See Also:
      - Constant Field Values

  - ### SEDA_FILE

    public static final String SEDA_FILE
    Name of the seda manifest file in Worskpace folder of SIP : containerId/SIP/manifest.xml
    See Also:
      - Constant Field Values

  - ### CONTENT_FOLDER

    public static final String CONTENT_FOLDER
    Sub folder for binary data objects in Worskpace folder of SIP: containerId/SIP/Content
    See Also:
      - Constant Field Values

  - ### OBJECT_GROUP_FOLDER

    public static final String OBJECT_GROUP_FOLDER
    Sub folder for object groups metadata in Worskpace folder of container : containerId/ObjectGroup
    See Also:
      - Constant Field Values

  - ### UPDATE_OBJECT_GROUP_FOLDER

    public static final String UPDATE_OBJECT_GROUP_FOLDER
    Sub folder for existing object groups metadata in Worskpace folder of container : containerId/UpdateObjectGroup
    See Also:
      - Constant Field Values

  - ### ARCHIVE_UNIT_FOLDER

    public static final String ARCHIVE_UNIT_FOLDER
    Sub folder for archive units metadata in Worskpace folder of container : containerId/Units
    See Also:
      - Constant Field Values

  - ### EXEC_FOLDER

    public static final String EXEC_FOLDER
    Sub folder for archive units tree in Worskpace folder of container : containerId/Exec
    See Also:
      - Constant Field Values

  - ### UPS_SEPARATOR

    public static final String UPS_SEPARATOR
    the seperator in parent list
    See Also:
      - Constant Field Values

  - ### UP_FIELD

    public static final String UP_FIELD
    the name of field up that indicate the parent
    See Also:
      - Constant Field Values

  - ### RULES

    public static final String RULES
    the name of RulesToApply tag
    See Also:
      - Constant Field Values

  - ### RULES_TAG

    public static final String RULES_TAG
    the name of rule tag
    See Also:
      - Constant Field Values

  - ### EXISTING_TAG

    public static final String EXISTING_TAG
    In work tag : If data (unit or og) already exists, set to true, else false
    See Also:
      - Constant Field Values

  - ### ATR_FOLDER

    public static final String ATR_FOLDER
    Sub folder for work file in Worskpace folder of container : containerId/ATR
    See Also:
      - Constant Field Values

  - ### IS_SIZE_INCORRECT

    public static final String IS_SIZE_INCORRECT
    In work tag : If size of binary is different of the one setted in manifest, set the difference and update boolean field
    See Also:
      - Constant Field Values

  - ### DIFF_SIZE_JSON

    public static final String DIFF_SIZE_JSON
    See Also:
      - Constant Field Values

  - ### SANITY_CHECK_RESULT_FILE

    public static final String SANITY_CHECK_RESULT_FILE
    Contains the results of checking ingest external operations (antivirus, format and manifest )
    See Also:
      - Constant Field Values

  - ### STP_UPLOAD_RESULT_JSON

    public static final String STP_UPLOAD_RESULT_JSON
    Contains the result of uncompressing SIP in workspace
    See Also:
      - Constant Field Values

  - ### LOGBOOK_OG_FILE_SUFFIX

    public static final String LOGBOOK_OG_FILE_SUFFIX
    See Also:
      - Constant Field Values